# track_land.h File Reference

Sprites to use and how to display them for train depot tiles. More...

Go to the source code of this file.

## Defines
#define | TILE_SEQ_LINE(img, dx, dy, sx, sy) { dx, dy, 0, sx, sy, 23, {img, PAL_NONE} },
#define | TILE_SEQ_END() { (int8)0x80, 0, 0, 0, 0, 0, {0, 0} }
## Variables
static const DrawTileSeqStruct | _depot_gfx_NE []
static const DrawTileSeqStruct | _depot_gfx_SE []
static const DrawTileSeqStruct | _depot_gfx_SW []
static const DrawTileSeqStruct | _depot_gfx_NW []
static const DrawTileSprites | _depot_gfx_table []
static const DrawTileSprites | _depot_invisible_gfx_table []

## Detailed Description

Sprites to use and how to display them for train depot tiles.

Definition in file track_land.h.

## Variable Documentation

const DrawTileSeqStruct _depot_gfx_NE[]`[static]`

Initial value:

     {

    }

Definition at line 16 of file track_land.h.

const DrawTileSeqStruct _depot_gfx_NW[]`[static]`

Initial value:

     {

    }

Definition at line 33 of file track_land.h.

const DrawTileSeqStruct _depot_gfx_SE[]`[static]`

Initial value:

     {

    }

Definition at line 21 of file track_land.h.

const DrawTileSeqStruct _depot_gfx_SW[]`[static]`

Initial value:

     {

    }

Definition at line 27 of file track_land.h.

const DrawTileSprites _depot_gfx_table[]`[static]`

Initial value:

     {
      { {SPR_FLAT_GRASS_TILE, PAL_NONE}, _depot_gfx_NE },
      { {SPR_RAIL_TRACK_Y,    PAL_NONE}, _depot_gfx_SE },
      { {SPR_RAIL_TRACK_X,    PAL_NONE}, _depot_gfx_SW },
      { {SPR_FLAT_GRASS_TILE, PAL_NONE}, _depot_gfx_NW }
    }

Definition at line 38 of file track_land.h.

const DrawTileSprites _depot_invisible_gfx_table[]`[static]`

Initial value:

     {
      { {SPR_RAIL_TRACK_X, PAL_NONE}, _depot_gfx_NE },
      { {SPR_RAIL_TRACK_Y, PAL_NONE}, _depot_gfx_SE },
      { {SPR_RAIL_TRACK_X, PAL_NONE}, _depot_gfx_SW },
      { {SPR_RAIL_TRACK_Y, PAL_NONE}, _depot_gfx_NW }
    }

Definition at line 45 of file track_land.h.